Skip to main content

API v2

v2 provides richer access to project structure and form definitions.

Endpoints

MethodPathDescription
GET/api/v2/projectsList projects
GET/api/v2/projects/:idGet project (includes form metadata)
GET/api/v2/mesh_descriptorsSearch MeSH descriptors
GET/api/v2/evidence_variablesList evidence variables
GET/api/v2/extractionsList extractions
GET/api/v2/extractions/:idGet extraction with section data
GET/api/v2/extraction_forms_projects_sectionsList form sections
GET/api/v2/key_questionsList key questions for a project
GET/api/v2/questionsList questions in a form section

Example: Getting a Project's Key Questions

GET /api/v2/key_questions?project_id=42
Authorization: Bearer YOUR_API_KEY
[
{ "id": 1, "name": "Does treatment A reduce mortality?" },
{ "id": 2, "name": "What are the harms of treatment A?" }
]